QGIS Application - Bug report #18583
Widget "Range": Representation for NULL value is NOT always displayed correctly
2018-03-29 05:52 PM - Manuel K

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Forms

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26471
Description

Attribute of type integer;

DB: PostGIS

Allow NULL is checked; Editable

Minimum value: 2018; Maximum value: 2099; Step: 1

Problem:
In the form a NULL value is wrongly displayed as (Minimum value)-1 (i.e 2017) if "Representation for NULL values" in options was left
empty (my preferred Setting). However, the value in the database is correct (NULL).

Associated revisions

Revision f3682be9 - 2018-07-03 02:05 AM - Matthias Kuhn

Handle invalid step size

in range widgets in combination with NULL values.

Fix #18583 https://issues.qgis.org/issues/18583

Revision 528aee07 - 2018-07-05 06:44 PM - Matthias Kuhn

Handle invalid step size

in range widgets in combination with NULL values.

Fix #18583 https://issues.qgis.org/issues/18583

Revision d179635b - 2018-09-18 12:54 PM - Alessandro Pasotti

[bugfix] Allow empty null representation in spinboxes

Fixes #18583 - Widget "Range": Representation for NULL value is NOT always displayed correctly

History

#1 - 2018-07-03 02:38 PM - Anonymous
- % Done changed from 0 to 100

2025-04-27 12



https://issues.qgis.org/issues/18583
https://issues.qgis.org/issues/18583

- Status changed from Open to Closed

Applied in changeset commit:qgis|f3682be92a90b2f519adca66607f49cb8927b483.

#2 - 2018-09-17 03:10 PM - Manuel K

- File representation_for NULL_values_empty.jpg added
- Status changed from Closed to Reopened

- File range_widget _config.jpg added

- File range_widget_display.jpg added

The described bug persists (master 3.3.0-71 and nightly 3.2.3-1).
And not only for attributes of type integer, but also for attributes of type numeric.

Example (type numeric):

Range widget configuration: Minimum: 0.00; Maximum: 399.90; Step: 0.10; Precision: 1; Allow NULL is checked.

--> In the form the NULL value is displayed as -0.1 (what corresponds to "[Minimum]-10~-[Precision]") instead of an empty field.

#3 - 2018-09-17 05:02 PM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#4 - 2018-09-18 12:57 PM - Alessandro Pasotti

- Status changed from Reopened to In Progress
- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/7943

#5 - 2018-09-18 03:29 PM - Anonymous

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|d179635b921f09b22d5456605894e79fee80d6e6.
